// General.cpp : 定义 DLL 应用程序的导出函数。
//

#include "stdafx.h"
#include "tc_util.h"
#include "epm_handler_common.h"


int AddReleasedStatus(void *)
{
	tag_t object = NULLTAG, release_status = NULLTAG;
	char* status = NULL;

	ITKCALL(USERARG_get_tag_argument(&object));
	ITKCALL(USERARG_get_string_argument(&status));
	ITKCALL(RELSTAT_create_release_status(status, &release_status));
	ITKCALL(RELSTAT_add_release_status(release_status, 1, &object, NULL));

	//if (object) { MEM_free(&object); object = NULL; }
	//if (release_status) { MEM_free(release_status); release_status = NULL; }

	return ITK_ok;
}
